mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

These roles represent the local Windows groups common to most installations of Windows NT, Windows 2000 and Windows XP.

In Windows Vista, User Account Control (UAC) determines the privileges of a user. If you are a member of the Built-in Administrators group, you are assigned two run-time access tokens: a standard user access token and an administrator access token. By default, you are in the standard user role. When you attempt to perform a task that requires administrative privileges, you can dynamically elevate your role by using the Consent dialog box. The code that executes the method does not display the Consent dialog box. The code returns false if you are in the standard user role, even if you are in the Built-in Administrators group. You can elevate your privileges before you execute the code by right-clicking the application icon and indicating that you want to run as an administrator.

Specifies common roles to be used with .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WindowsBuiltInRole To be added

  Account operators manage the user accounts on a computer or domain.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WindowsBuiltInRole To be added

  Administrators have complete and unrestricted access to the computer or domain.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WindowsBuiltInRole To be added

  Backup operators can override security restrictions for the sole purpose of backing up or restoring files.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WindowsBuiltInRole To be added

  Guests are more restricted than users.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WindowsBuiltInRole To be added

  Power users possess most administrative permissions with some restrictions. Thus, power users can run legacy applications, in addition to certified applications.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WindowsBuiltInRole To be added

  Print operators can take control of a printer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WindowsBuiltInRole To be added

  Replicators support file replication in a domain.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WindowsBuiltInRole To be added

  System operators manage a particular computer.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WindowsBuiltInRole To be added

  Users are prevented from making accidental or intentional system-wide changes. Thus, users can run certified applications, but not most legacy applications.